package com.ruoyi.applet.contoller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.model.domain.AppUsers;
import com.ruoyi.model.service.IAppUsersService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(description = "伴宠师-伴宠师认证")
@RestController
@RequestMapping("/applet/UserTeacher")
public class ApiAppletUserTeacherController {
    @Autowired
    private IAppUsersService appUsersService;

    @ApiOperation("伴宠师工作台-伴宠师列表数据查询")
    @GetMapping("/userList")
    public AjaxResult userList(@RequestBody AppUsers user){
        List<AppUsers> userList = appUsersService.selectAppUsersList(user);
        return AjaxResult.success("宠师列表数据",userList);
    }

    @ApiOperation("伴宠师工作台-伴宠师基本信息添加")
    @PostMapping("/insertUser")
    public AjaxResult insertUser(@RequestBody AppUsers user){
        return toAjax(appUsersService.insertAppUsers(user));
    }

    @ApiOperation("伴宠师工作台-伴宠师基本信息修改")
    @PostMapping("/udpateUser")
    public AjaxResult udpateUser(@RequestBody AppUsers user){
        return toAjax(appUsersService.updateAppUsers(user));
    }

    @ApiOperation("伴宠师工作台-伴宠师基本信息删除")
    @PostMapping("/deleteUser")
    public AjaxResult deleteUser(long id){
        return toAjax(appUsersService.deleteAppUsersByUserId(id));
    }

    protected AjaxResult toAjax(int rows) {
        return rows > 0 ? AjaxResult.success() : AjaxResult.error();
    }
}
